# -*- coding: utf-8 -*-
# Test the Unicode versions of normal file functions
# open, os.open, os.stat. os.listdir, os.rename, os.remove, os.mkdir, os.chdir, os.rmdir
import locale, os
from nt import _getfullpathname

locale.setlocale(locale.LC_ALL, "")

filenames = [
    "abc",
    unicode("ascii","utf-8"),
    unicode("Grüß-Gott","utf-8"),
    unicode("Γειά-σας","utf-8"),
    unicode("Здравствуйте","utf-8"),
    unicode("にぽん","utf-8"),
    unicode("השקצץס","utf-8"),
    unicode("曨曩曫","utf-8"),
    unicode("曨שんдΓß","utf-8"),
    ]

for name in filenames:
    print repr(name)
    f = open(name, 'w')
    f.write((name+'\n').encode("utf-8"))
    print f
    f.close()
    print os.stat(name)

print os.listdir(".")
print os.listdir(u".")

for name in filenames:
    os.rename(name,"tmp")
    os.rename("tmp",name)
    #os.remove(name)

dirname = unicode("Grüß-曨曩曫","utf-8")
filename = unicode("ß-曨曩曫","utf-8")
os.mkdir(dirname)
os.chdir(dirname)
f = open(filename, 'w')
f.write((filename + '\n').encode("utf-8"))
f.close()
print repr(_getfullpathname(filename))
os.remove(filename)
os.chdir("..")
os.rmdir(dirname)